# Set common variables for the environment. This is automatically pulled in in the root terragrunt.hcl configuration to
# feed forward to the child modules.
# 
# NOTE: There is only one copy of this, in the `common/` tree, and the others are symbolic links.
locals {
  aws_partition = "aws-us-gov"
  aws_partition_alias = "govcloud"
  common_services_account = "701290387780"
  common_profile = "${local.aws_partition == "aws-us-gov" ? "govcloud" : "commercial"}"
  tfstate_region = "us-gov-east-1"
  binaries_key = "key/a3ed054e-73be-45b4-acf8-6d06cb18cff9"

  # Statically setting the 'last known good' ami gives us some added flexibility
  # in building amis more regularly.
  #
  # Don't forget `lifecycle { ignore_changes = ["ami"] }` in yoru ec2
  # builds!
  amis = {
    "rhel7-base"        = "ami-0b08c1f5f1c84d2e9"
    "rhel7-master"      = "ami-0ceacf267454aba51"
    "rhel7-minion"      = "ami-08505f005a686f476"
    "ubuntu1804-base"   = "ami-0a84bd4b796860be8"
    "ubuntu1804-minion" = "TBD"
  }
  default_ami = local.amis["rhel7-minion"] # Allows us to easily change to a new base standard

  # If you need the raw list of all accounts, see `account_list` below
  account_map = {
    "prod" = [
      "721817724804", # mdr-prod-c2
      "738736370544", # mdr-prod-modelclient
      "876865127438", # mdr-prod-malware
      "022090475570", # mdr-prod-nihors
      "081915784976", # mdr-prod-bas
      "137793331041", # mdr-prod-doed
      "237704155425", # mdr-prod-frtib
      "300401536936", # mdr-prod-ca-c19
      "520742937262", # mdr-prod-dc-c19
      "555457296585", # mdr-prod-ma-c19
      "520722177857", # mdr-prod-la-c19
    ],
    "test" = [
      "738800754746", # mdr-test-c2
      "701341250728", # mdr-test-modelclient
      "876942499057", # mdr-test-malware
    ],
    "common" = [
      "701290387780", # mdr-common-services
    ],
  }
  # flatten the map into a single list
  account_list = flatten([
    for env, accounts in local.account_map: accounts
  ])
  # This is similar to the account_map, but used for "what accounts am I responsible for"?
  responsible_accounts = {
    "prod"   = concat(local.account_map["prod"], local.account_map["common"]),
    "test"   = local.account_map["test"],
    "common" = concat(local.account_map["prod"], local.account_map["common"], local.account_map["test"]),
  }

  aws_marketplace_ubuntu_owner_id = "874634375141"

  partition_tags = {
    aws_partition = local.aws_partition
  }

  customer_accounts = [
    "738577959608",  # AFS/CMPS AIP VA (No Ticket, email from Dalling in 10/2020)
    "902039776828",  # AFS/CMPS FRTIB (MSOCI-1549)
    "314025119334",  # AFS/CMPS BAS-Commerce (MSOCI-1554)
  ]
}
